## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           glsl-analyzer
Version:        1.5.1
Release:        %autorelease
Summary:        Language server for GLSL
License:        GPL-3.0-only
URL:            https://github.com/nolanderc/glsl_analyzer
ExclusiveArch:  %{zig_arches}

Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        https://github.com/nolanderc/glsl-samples/archive/95264d5602cc8542e9e8dbdaab6045f9619ab180.tar.gz#/glsl-samples-95264d5.tar.gz

Patch1:         0001-Add-fPIE-compiler-flag.patch

BuildRequires:  zig
# testing
BuildRequires:  pytest
BuildRequires:  python3-lsprotocol
BuildRequires:  python3-pytest-subtests
BuildRequires:  python3-pytest-lsp
BuildRequires:  python3-typeguard

%description
Language server for GLSL (OpenGL Shading Language).

%prep
%autosetup -p1 -n glsl_analyzer-%{version}
sed -i 's/b.run(&.{ "git", "describe", "--tags", "--always" })/"%{version}"/' build.zig

tar -xf %{SOURCE1} -C tests/glsl-samples --strip-components=1

%build
zig build install -Doptimize=ReleaseSafe --prefix ./build --verbose --verbose-cc --verbose-link --summary all

%install
install -m 755 -p -D -t %{buildroot}%{_bindir} build/bin/*

%check
# tests stuck on aarch64
%ifnarch aarch64
export PATH="./build/bin:${PATH}"
pytest tests || : # ignore for now
%endif

%files
%{_bindir}/glsl_analyzer

%license LICENSE.md

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Sep 05 2024 Marian Koncek <mkoncek@redhat.com> - 1.5.1-4
- Switch to using %%autorelease and %%autochangelog

* Wed Aug 14 2024 Marian Koncek <mkoncek@redhat.com> - 1.5.1-3
- Disable tests on aarch64

* Wed Aug 14 2024 Marian Koncek <mkoncek@redhat.com> - 1.5.1-2
- Build only for %%{zig_arches}

* Wed Aug 14 2024 Marian Koncek <mkoncek@redhat.com> - 1.5.1-1
- Initial build
## END: Generated by rpmautospec
